"use strict";

module.exports = function getChain(error) {
	let currentError = error;
	let errors = [];

	while (currentError != null) {
		errors.push(currentError);

		if (currentError._errorChainError === true) {
			currentError = currentError.cause;
		} else {
			break;
		}
	}

	return errors;
};
