"use strict";

const isObject = require("is.object");

module.exports = function omitKeys(object, keys) {
	if (!isObject(object)) {
		// FIXME: Use Validatem here
		throw new Error("First argument must be an object");
	} else {
		let keySet = new Set(keys);
		let newObject = {};

		for (let key of Object.keys(object)) {
			if (!keySet.has(key)) {
				newObject[key] = object[key];
			}
		}

		return newObject;
	}
};
